def split_nsf(filename, out_prefix, banks=-1):
    f = open(filename,"rb")
    print("Splitting: "+filename)
    b = f.read()
    load = b[0x08] | (b[0x09]<<8)
    b = bytearray(b[0x80:]) # strip header
    print("Load: %04X" % load)
    b = bytearray([0]*(load-0x8000)) + b
    while (len(b) < (32*1024)):
        b.append(0) # pad to 32k
    while (len(b) & 4095) != 0:
        b.append(0) # pad to 4k boundary
    if (banks != -1): # extra padding
        while (len(b) < (banks * 4096)):
            b.append(0)
    for i in range(0,255):
        start = i * 4096
        if (start >= len(b)):
            break
        out_filename = "..\\src_bin\\" + out_prefix + ('_%02X.bin' % (i))
        split = open(out_filename,'wb')
        print("> "+out_filename)
        split.write(b[start:start+4096])
        split.close()

split_nsf("00 - jrlepage - Introduction.nsf","00")
split_nsf("01 - bradsmith - dry up and tumble on.nsf","01")
#split_nsf("02 - ipi - Garten.nsf","02")
split_nsf("02 - ipi - Garten redo.nsf","02")
split_nsf("03 - TQ-Jam - Milky Fields.nsf","03")
split_nsf("04 - Doxic - Pollution.nsf","04")
split_nsf("05 - commandycan - Sky Bus For Hire.nsf","05",0x0F)
split_nsf("06 - HertzDevil - Extends Levant.nsf","06",0x11)
split_nsf("07 - Jangler - Tide Grotto.nsf","07")
#split_nsf("08 - TristEndo - Be water my friend.nsf","08")
split_nsf("08 - TristEndo - Be water my friend redo.nsf","08")
split_nsf("09 - kfaraday - The Bloop.nsf","09",0x0E)
split_nsf("10 - stinkbug - Dreamgate.nsf","0A")
split_nsf("11 - gyms - Magmo's Magical Ingot.nsf","0B",0x0F)
split_nsf("12 - Moot Booxlé - Ouroboros.nsf","0C")
split_nsf("13 - Fearofdark - An Earth made of Molten Rock.nsf","0D",0x0E)
#split_nsf("14 - chipchop - the robot emptiness.nsf","0E")
split_nsf("14 - chipchop - the robot emptiness fix.nsf","0E")
split_nsf("15 - Zan-zan-zawa-veia - Dove Dome.nsf","0F")
split_nsf("16 - KungFuFurby - Null and Void.nsf","10")
